The University of Windsor is preparing for a safe return to campus. Learn More.

GlobalProtect VPN upgrade for macOS users

If you have upgraded your macOS to version 11.0 (Big Sur), your GlobalProtect VPN software will not connect. This is a known issue: versions of GlobalProtect older than 5.1.4 do not support macOS Big Sur.

To resolve this issue, you need to upgrade your GlobalProtect software to version 5.1.4 or higher.

You can download GlobalProtect version 5.1.7 here (login required). After downloading the new version, install it over top of your existing GlobalProtect client. For assistance with the installation process follow the instructions in this article starting at step 3.

IMPORTANT: After upgrading, when you connect using your GlobalProtect VPN software, you may receive a message regarding the availability of an older version of GlobalProtect. Click NO to this prompt if is for an older version.

This message has been sent from a no-reply email account. For additional assistance, please contact the IT Service Desk at 519-253-3000 ext. 4440 or use the live chat feature available in the bottom right corner of www.uwindsor.ca/its or www.uwindsor.ca/itshelp.